Bullet Collision Detection & Physics Library: btSingleContactCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSingleContactCallback Struct Reference
Inheritance diagram for btSingleContactCallback:
[legend]
Collaboration diagram for btSingleContactCallback:
[legend]

## Public Member Functions
| btSingleContactCallback (btCollisionObject *collisionObject, btCollisionWorld *world, btCollisionWorld::ContactResultCallback &resultCallback)
virtual bool | process (const btBroadphaseProxy *proxy)
Public Member Functions inherited from btBroadphaseAabbCallback
virtual | ~btBroadphaseAabbCallback ()

## Public Attributes
btCollisionObject * | m_collisionObject
btCollisionWorld * | m_world
btCollisionWorld::ContactResultCallback & | m_resultCallback

## Detailed Description

Definition at line 1188 of file btCollisionWorld.cpp.

## Constructor & Destructor Documentation

## ◆ btSingleContactCallback()

btSingleContactCallback::btSingleContactCallback | ( | btCollisionObject * | collisionObject,
|  | btCollisionWorld * | world,
|  | btCollisionWorld::ContactResultCallback & | resultCallback )
| inline

Definition at line 1194 of file btCollisionWorld.cpp.

## Member Function Documentation

## ◆ process()

virtual bool btSingleContactCallback::process | ( | const btBroadphaseProxy * | proxy | ) |
| inlinevirtual

Implements btBroadphaseAabbCallback.

Definition at line 1201 of file btCollisionWorld.cpp.

## Member Data Documentation

## ◆ m_collisionObject

btCollisionObject* btSingleContactCallback::m_collisionObject

Definition at line 1190 of file btCollisionWorld.cpp.

## ◆ m_resultCallback

btCollisionWorld::ContactResultCallback& btSingleContactCallback::m_resultCallback

Definition at line 1192 of file btCollisionWorld.cpp.

## ◆ m_world

btCollisionWorld* btSingleContactCallback::m_world

Definition at line 1191 of file btCollisionWorld.cpp.

The documentation for this struct was generated from the following file:

- btCollisionWorld.cpp